#!/bin/bash
if [ $# -eq 1 ] ; then
  timewaster &
  sleep 1
  PID=$(ps --no-heading -C timewaster -o pid | cut -d' ' -f2)
  if [ -n "$PID" -a -d "/proc/$PID" ] ; then
    echo Migrating "$1 > /proc/$PID/om/where"
    echo $1 > /proc/$PID/om/where
  else
    echo "Lost PID of timewaster"
  fi
else
  echo -e "Usage:\n\t$(basename $0) [hostip]"
fi
