/*
* Copyright (c) 2005 by G4SRA
*
* Permission to use, copy and distribute this software is hereby granted
* under the terms of version 2 or any later version of the GNU General Public
* License, as published by the Free Software Foundation.
*
* THIS SOFTWARE IS PROVIDED IN ITS "AS IS" CONDITION, WITH NO WARRANTY
* WHATSOEVER. NO LIABILITY OF ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING
* FROM THE USE OF THIS SOFTWARE WILL BE ACCEPTED.
*
* Author: G4SRA (cradford@bcs.org.uk)
*/

#include <string.h>
#include <errno.h>

#include "libmisc.h"
#include "omsyslog.h"

char *
omStrdup (char *str)
{
  char *ret;

  if ((ret = strdup (str)) != NULL)
    return (ret);
  /* disaster */
  omLog (OM_LOG_CRIT, "omStrdup:%s", strerror (errno));
  exit (1);
}

void *
omMalloc (size_t size)
{
  void *ret;

  if ((ret = malloc (size)) != NULL)
    return (ret);
  /* disaster */
  omLog (OM_LOG_CRIT, "omMalloc:%s", strerror (errno));
  exit (1);
}
