#!/usr/bin/python
# This script is just for testing
#
# Pertinant messages: ignore this and read request.h
# RCS - request cluster size
# RNNNIP # - request node#'s ip
# non-volatile data
# RIPA ip - request architecture of node with that ip
# RIPC ip - request network cost of node with that ip
# RIPNCPU ip - request processor quantity of node with that ip
# RIPS ip - request processor speed of node with that ip
# RIPG ip - request processing power of node with that ip
# volatile data
# RIPL ip - request load average of node with that ip
# RIPFM ip - request free memory of node with that ip

from socket import *
import time

server_ip = "127.0.0.1"
server_port = 3490
nodes=[]

def print_load() :
	for ip in nodes:
		s = socket(AF_INET, SOCK_STREAM)
		s.connect((server_ip, server_port))
		s.send("RIPL %s" % ip)
		la = s.recv(100)	
		s.send("RIPFM %s" % ip)
		fm = s.recv(100)	
		s.close()
		print "%(ip)s: %(la)s %(fm)s" % {"ip":ip, "la":la, "fm":fm }

print "STARTING"

s = socket(AF_INET, SOCK_STREAM)
s.connect((server_ip,server_port))
s.send("RIPOMV 0.0.0.0")
ver=  s.recv(100)
s.send("RIPCS 0.0.0.0")
size=  int(s.recv(100))
s.close()
print "OpenMosix Version %s" % ver
print "Cluster Size %d" % size
time.sleep(1)

#ip = "0.0.0.0"
for i in range(0,size):
	s=socket(AF_INET, SOCK_STREAM)
	s.connect((server_ip, server_port))
	s.send("RNNNIP %d" %i)
	ip = s.recv(100)
	print "Node %(id)d: %(ip)s" % {"id": i, "ip":ip}
	nodes.append(ip)
	s.close()

time.sleep(1)
for ip in nodes:
	s = socket(AF_INET, SOCK_STREAM)
	s.connect((server_ip, server_port))
	s.send("RIPOMV %s" % ip)
	ver=  s.recv(100)
	s.send("RIPCS %s" % ip)
	cs = int(s.recv(100))
	s.send("RIPA %s" % ip)
	ar = s.recv(100)	
	s.send("RIPG %s" % ip)
	grunt = int(s.recv(100))	
	s.send("RIPC %s" % ip)
	cost = int(s.recv(100))	
	s.send("RIPLF %s" % ip)
	lf = int(s.recv(100))
	s.send("RIPNCPU %s" % ip)
	np = s.recv(100)
	s.send("RIPS %s" % ip)
	ps = s.recv(100)
	s.send("RIPF %s" % ip)
	flg = s.recv(100)	
	s.close()
	print "%(ip)s: %(ar)s %(np)s %(ps)s %(grunt)d %(cost)d %(cs)d %(ver)s %(flg)s %(lf)d" % \
	{"ip":ip, "ar":ar, "np":np, "ps":ps, "grunt":grunt, "cost":cost, "cs":cs, "ver":ver, "flg":flg, "lf":lf}
	
time.sleep(5)
i=0
while 1:
	i=i+1
	print "------------------"
	print " iteration %d" % i
	print "------------------"
	print_load()
        if i % 10 == 0:
		time.sleep(2)
	        # sleep x seconds to permit socket reclaimation, increase
		# this in proportion to the number of sockets (nodes) used.
		# or
		# tweak your kernel parameters :>)

