/*
* Copyright (c) 2005 by G4SRA
*
* Permission to use, copy and distribute this software is hereby granted
* under the terms of version 2 or any later version of the GNU General Public
* License, as published by the Free Software Foundation.
*
* THIS SOFTWARE IS PROVIDED IN ITS "AS IS" CONDITION, WITH NO WARRANTY
* WHATSOEVER. NO LIABILITY OF ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING
* FROM THE USE OF THIS SOFTWARE WILL BE ACCEPTED.
*/
/*
* Authors: G4SRA (cradford@bcs.org.uk)
*/

#include "omstatus.h"

int sys_errno = 0;

char *
strstatus (int status)
{
  switch (status) {
  case OM_STATUS_BAD_DATA:
    return ("BAD DATA");
  case OM_STATUS_BAD_NODEIP:
    return ("BAD NODE IP");
  case OM_STATUS_BAD_NODEADDR:
    return ("BAD NODE ADDRESS");
  case OM_STATUS_BAD_NODENUM:
    return ("BAD NODE NUMBER");
  case OM_STATUS_BAD_BEQ:
    return ("BAD BEQUEST");
  case OM_STATUS_BAD_REQ:
    return ("BAD REQUEST");
  case OM_STATUS_CRIT:
    return ("CRITICAL");
  case OM_STATUS_FAIL:
    return ("FAILURE");
  case OM_STATUS_SUCCESS:
    return ("SUCCESS");
  case OM_STATUS_NOACTION:
    return ("NO ACTION");
  default:
    return ("UNKNOWN STATUS");
  }
}
