/*
* Copyright (c) 2005 by G4SRA
*
* Permission to use, copy and distribute this software is hereby granted
* under the terms of version 2 or any later version of the GNU General Public
* License, as published by the Free Software Foundation.
*
* THIS SOFTWARE IS PROVIDED IN ITS "AS IS" CONDITION, WITH NO WARRANTY
* WHATSOEVER. NO LIABILITY OF ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING
* FROM THE USE OF THIS SOFTWARE WILL BE ACCEPTED.
*/
/*
* Authors: G4SRA (cradford@bcs.org.uk)
*/

#ifndef _OM_STATUS_H
#define _OM_STATUS_H

/* Note - Anything negative is treated as an error */
#define OM_STATUS_BAD_DATA (-8)
#define OM_STATUS_BAD_NODEIP (-7)
#define OM_STATUS_BAD_NODEADDR (-6)
#define OM_STATUS_BAD_NODENUM (-5)
#define OM_STATUS_BAD_BEQ (-4)
#define OM_STATUS_BAD_REQ (-3)
#define OM_STATUS_CRIT (-2)
#define OM_STATUS_FAIL (-1)
/* Note - Anything non-negative is treated as success */
#define OM_STATUS_SUCCESS 0
#define OM_STATUS_NOACTION (1)

extern int sys_errno;

char *strstatus (int status);

#endif
