#include <stdio.h>
#include <time.h>
#include <sys/types.h>
#include <sys/time.h>
#include <sys/resource.h>
#include <unistd.h>
#include <pwd.h>



int main(int argc, char **argv)
{
  int i, j, elapse = 0, prev_elapse;
  double val;
  time_t ts;
  struct passwd *pwd;
  

  if((getuid() == 0)||(getgid()==0)) {
    if((pwd = getpwnam("nobody"))!= NULL) {
       setgid(pwd->pw_gid);
       setuid(pwd->pw_uid);
       printf("Now user nobody uid:%d gid:%d\n",getuid(),getgid());
     }
    else {
      setgid(65535);
      setuid(65535);
      if((pwd=getpwuid(getuid()))!=NULL) {
	printf("Now user %s uid:%d gid:%d\n",pwd->pw_name,getuid(),getgid());
      }
      else {
	printf("Now user ??? uid:%d gid:%d\n",getuid(),getgid());
      }
    }
  }

  setpriority(PRIO_PROCESS,getpid(),1);
  printf("%s pid:%d niceness:%d\n",basename(argv[0]),getpid(),getpriority(PRIO_PROCESS,getpid()));
  ts = time((time_t *)NULL);
  for (i = 0; i < 441; i++) {
   for (j = 0; j < 9999999; j++)
    val = (double)(j+1) / (double)(i+1);
    if (!(i%10)) {
     prev_elapse = elapse;
     elapse = (int)(time((time_t *)NULL) - ts);
     printf("i=%d, val=%lg, %d s elapsed, %d s since last print\n",
     i, val, elapse, elapse-prev_elapse);
    }
   }

  printf("finished successfully\n");
  return 0;
}



