/*
 * Copyright (c) 2005 by Nathan Wiegand 
 *
 * Permission to use, copy and distribute this software is hereby granted
 * under the terms of version 2 or any later version of the GNU General Public
 * License, as published by the Free Software Foundation.
 *
 * THIS SOFTWARE IS PROVIDED IN ITS "AS IS" CONDITION, WITH NO WARRANTY
 * WHATSOEVER. NO LIABILITY OF ANY KIND FOR ANY DAMAGES WHATSOEVER RESULTING
 * FROM THE USE OF THIS SOFTWARE WILL BE ACCEPTED.
 */
/* 
 * Authors: Nathan Wiegand (nathanwiegand@gmail.com)
 * Authors: G4SRA (cradford@bcs.org.uk)
 */

#ifndef _OM_VECTOR_H
#define _OM_VECTOR_H

#include <stdlib.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdio.h>

#include "node.h"

#define OM_MAX_CLUSTER_SIZE 1024

typedef struct {
  unsigned int current_size;
  unsigned int end;
  omd_node **data;
} vector;

vector *create (unsigned int size);

vector *v_add (vector * vect, omd_node * node);

vector *v_remove (vector * vect, unsigned int position);

omd_node *v_get (vector * vect, unsigned int position);

omd_node *v_set (vector * vect, omd_node * node, unsigned int position);

int v_swap (vector * vect, unsigned int pos1, unsigned int pos2);
#endif
